Package commoble.bagofyurting

# Class BlockUnloadSorter

java.lang.Object
commoble.bagofyurting.BlockUnloadSorter

All Implemented Interfaces:
  `Comparator<Map.Entry<net.minecraft.core.BlockPos,​BagOfYurtingData.StateData>>`

public class BlockUnloadSorter extends Object implements Comparator<Map.Entry<net.minecraft.core.BlockPos,​BagOfYurtingData.StateData>>

## Field Summary

Fields
Modifier and Type
Field
Description
`static BlockUnloadSorter`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`BlockUnloadSorter()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare​(Map.Entry<net.minecraft.core.BlockPos,​BagOfYurtingData.StateData> entryA, Map.Entry<net.minecraft.core.BlockPos,​BagOfYurtingData.StateData> entryB)`
When unloading blocks from the bag, we want to start from the bottom up, one layer at a time, with solid blocks in a layer being placed before non-solid blocks

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Field Details

### INSTANCE

public static final BlockUnloadSorter INSTANCE

## Constructor Details

### BlockUnloadSorter

public BlockUnloadSorter()

## Method Details

### compare

public int compare​(Map.Entry<net.minecraft.core.BlockPos,​BagOfYurtingData.StateData> entryA, Map.Entry<net.minecraft.core.BlockPos,​BagOfYurtingData.StateData> entryB)
When unloading blocks from the bag, we want to start from the bottom up, one layer at a time, with solid blocks in a layer being placed before non-solid blocks

Specified by:
  `compare` in interface `Comparator<Map.Entry<net.minecraft.core.BlockPos,​BagOfYurtingData.StateData>>`